All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
QoreRWLock Class Reference

provides a simple POSIX-threads-based read-write lock More...

`#include <QoreRWLock.h>`

## Public Member Functions

DLLLOCAL | QoreRWLock ()
| creates and initializes the lock
DLLLOCAL | ~QoreRWLock ()
| destroys the lock
DLLLOCAL int | rdlock ()
| grabs the read lock
DLLLOCAL int | wrlock ()
| grabs the write lock
DLLLOCAL int | tryrdlock ()
| tries to grab the read lock; does not block if unsuccessful
DLLLOCAL int | trywrlock ()
| tries to grab the write lock; does not block if unsuccessful
DLLLOCAL int | unlock ()
| unlocks the lock (assumes the lock is locked)

## Protected Member Functions

DLLLOCAL QoreRWLock & | operator= (const QoreRWLock &)
| this function is not implemented; it is here as a private function in order to prohibit it from being used

## Protected Attributes

pthread_rwlock_t | m
| the actual locking primitive wrapped in this class

## Detailed Description

provides a simple POSIX-threads-based read-write lock

This utility class is just a simple wrapper for pthread_rwlock_t. It does not provide any special logic for checking for correct usage, etc.

The documentation for this class was generated from the following file:

- include/qore/QoreRWLock.h (5431)